<?php

namespace App\Libraries\MyStorage;

use App\Libraries\CommonLibrary;

abstract class MyStorageLibrary extends CommonLibrary
{
    private $_uploadPath = "uploads";
    protected function __construct()
    {
        parent::__construct();
    }

    abstract public function save(string $fileName, string $mediaType, string $content, int $file_sequence);
    final public function getUploadPath(): string
    {
        return $this->_uploadPath;
    }
}
